Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.jacc
Class PolicyContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.security.jacc.PolicyContextException

All Implemented Interfaces:
  java.io.Serializable

public class PolicyContextException
extends java.lang.Exception

This checked exception is thrown by implementations of the `javax.security.jacc.PolicyConfiguration` Interface, the `javax.security.jacc.PolicyConfigurationFactory` abstract class, the `javax.security.jacc.PolicyContext` utility class, and implementations of the `javax.security.jacc.PolicyContextException` Interface.

This exception is used by javax.security.jacc implementation classes to rethrow checked exceptions ocurring within an implementation that are not declared by the interface or class being implemented.

Version:
  %I% %E%
Author:
  Ron Monzillo, Gary Ellison
See Also:
  `Exception`, `PolicyConfiguration`, `PolicyConfigurationFactory`, `PolicyContext`, `PolicyContextHandler`, Serialized Form

Constructor Summary
`PolicyContextException()` Constructs a new PolicyContextException with `null` as its detail message.
`PolicyContextException(java.lang.String msg)` Constructs a new PolicyContextException with the specified detail message
`PolicyContextException(java.lang.String msg, java.lang.Throwable cause)` Constructs a new PolicyContextException with the specified detail message and cause.
`PolicyContextException(java.lang.Throwable cause)` Constructs a new PolicyContextException with the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyContextException

    public PolicyContextException()

  Constructs a new PolicyContextException with `null` as its detail message. describing the cause of the exception.

### PolicyContextException

    public PolicyContextException(java.lang.String msg)

  Constructs a new PolicyContextException with the specified detail message

Parameters:
  `msg` - - a `String` containing a detail message describing the cause of the exception.

### PolicyContextException

    public PolicyContextException(java.lang.String msg,
                                  java.lang.Throwable cause)

  Constructs a new PolicyContextException with the specified detail message and cause. The cause will be encapsulated in the constructed exception.

Parameters:
  `msg` - - a `String containing a detail message describing the cause of the exception.`
  `cause` - - the Throwable that is "causing" this exception to be constructed. A null value is permitted, and the value passed through this parameter may subsequently be retrieved by calling `getCause()` on the constructed exception.

### PolicyContextException

    public PolicyContextException(java.lang.Throwable cause)

  Constructs a new PolicyContextException with the specified cause. The cause will be encapsulated in the constructed exception.

Parameters:
  `cause` - - the Throwable that is "causing" this exception to be constructed. A null value is permitted, and the value passed through this parameter may subsequently be retrieved by calling `getCause()` on the constructed exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.